Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/identities/{identityId}/memories 200 PagedResultOfMemoryListDto
POST /api/identities/{identityId}/memories 200 MemoryWriteDto
GET /api/identities/{identityId}/memories/pinned 200 MemoryListDto[]
GET /api/identities/{identityId}/memories/recent 200 MemoryListDto[]
GET /api/identities/{identityId}/memories/search 200 MemorySearchResult
GET /api/memories/{id} 200 MemoryDetailDto
PATCH /api/memories/{id} 200 MemoryWriteDto
PUT /api/memories/{id} 200 MemoryWriteDto
POST /api/memories/{id}/archive 200
POST /api/memories/{id}/links 200 HebbianLinkDto
DELETE /api/memories/{id}/links/{targetId} 200
POST /api/memories/{id}/links/{targetId}/strengthen 200
POST /api/memories/{id}/tags 200 MemoryWriteDto
DELETE /api/memories/{id}/tags/{tag} 200

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

HebbianLinkDto

PropertyTypeDescription
id int64
fromMemoryId int64
fromMemoryTitle null,string
toMemoryId int64
toMemoryTitle null,string
type LinkType
strength float
coActivationCount int32

MemoryDetailDto

PropertyTypeDescription
linksFrom HebbianLinkDto[]
linksTo HebbianLinkDto[]
id int64
guid uuid
identityId int64
projectId int64
title string
content string
type MemoryType
provenance Provenance
importance int32
isPinned boolean
isShared boolean
hasEmbedding boolean
accessCount int32
readByOthersCount int32
lastAccessedAtUtc date-time
archivedAtUtc date-time
tags string[]
createdAtUtc date-time
updatedAtUtc date-time

MemorySearchResult

PropertyTypeDescription
results MemorySearchHit[]
totalCandidates int32
embeddingCoverage int32
warning null,string

MemoryWriteDto

PropertyTypeDescription
id int64
guid uuid
title string
type MemoryType
importance int32
isPinned boolean
isShared boolean
hasEmbedding boolean
tags string[]
contentLength int32
updatedAtUtc date-time

PagedResultOfMemoryListDto

PropertyTypeDescription
items* MemoryListDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean